ISOQUERY(1)

NAME
isoquery - Rechercher et afficher divers codes ISO (pays, langues, etc.)

SYNOPSIS

isoquery [options] [fichier] [codes ISO]

DESCRIPTION

Ce manuel décrit brièvement la commande isoquery. Elle permet de créer un tableau à partir des codes de la norme ISO fournis dans le paquet iso-codes. Elle parcourt les fichiers XML et montre tous les codes ISO ou simplement les entrées correspondantes, si demandées sur la ligne de commande. De plus, toutes les traductions disponibles des normes ISO sont accessibles.

OPTIONS

Ce programme suit la syntaxe usuelle des commandes GNU, avec les options longues commençant par deux tirets (« - »). isoquery prend en charge les options suivantes.

-i norme, --iso=norme
    La norme ISO à utiliser. Valeurs disponibles : 639, 639-3, 639-5, 3166, 3166-2, 4217, 15924 (3166 par défaut).

-x fichier, --xmlfile=fichier
    Utiliser un autre fichier XML avec les données ISO (/usr/share/xml/iso-codes/iso_3166.xml par défaut).

-l locale, --locale=locale
    Utiliser cette locale pour l'affichage.

-n, --name
    Nom des codes fournis (par défaut).

-o, --official_name
    Nom officiel correspondant aux codes demandés. Il peut être identique à --name. Cette option n'est utile que pour ISO 3166.

-c, --common_name
    Nom courant correspondant aux codes demandés. Il peut être identique à --name. Cette option n'est utile que pour ISO 3166.

-0, --null
    Séparer les entrées avec un caractère NULL au lieu d'un retour à la ligne.

-h, --help
    Afficher un résumé des options.

-v, --version
    Afficher la version du programme et les renseignements de copyright.

EXEMPLES

Si appelée sans option de ligne de commande, isoquery affichera toute la table de codes ISO 3166. Les trois premières colonnes contiennent les codes alpha-2, alpha-3 et numérique associés au pays de la quatrième colonne.

$ isoquery
AF      AFG     004     Afghanistan
[...]
ZW      ZWE     716     Zimbabwe

Si vous ne voulez que quelques pays, indiquez n'importe quel code des trois premières colonnes afin de restreindre l'affichage.

$ isoquery so nor 484
SO      SOM     706     Somalia
NO      NOR     578     Norway
MX      MEX     484     Mexico

Si vous voulez la traduction des noms de pays, indiquez simplement la locale dans laquelle vous désirez obtenir la sortie. Veuillez remarquer que le nom anglais d'origine sera affiché si aucune traduction n'est disponible pour la locale indiquée.

$ isoquery --locale=fr fr de es
FR      FRA     250     France
DE      DEU     276     Allemagne
ES      ESP     724     Espagne

Tout ce qui précède fonctionne aussi pour les différentes normes ISO, ce qui vous permet de basculer vers la norme ISO 3166-2 plus complète en utilisant l'option de ligne de commande --iso. Les colonnes contiennent le code de pays, le type de sous-ensemble (par exemple State ou Province), le code ISO 3166-2, le parent et le nom. La quatrième colonne (parent) peut être vide.

$ isoquery --iso=3166-2
AD      Parish          AD-07           Andorra la Vella
[...]
ZW      Province        ZW-MI           Midlands

Pour ISO 639, les trois premières colonnes contiennent les codes ISO 639 2B, ISO 639 2T et ISO 639-1. La troisième colonne peut être vide.

$ isoquery --iso=639
aar     aar     aa      Afar
abk     abk     ab      Abkhazian
ace     ace             Achinese
[...]
zun     zun             Zuni
zxx     zxx             No linguistic content; Not applicable
zza     zza             Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Vous pouvez restreindre l'affichage en indiquant seulement quelques codes. De plus, l'option pour obtenir les noms traduits est disponible.

$ isoquery --iso=639 --locale=fr vi bo kl
vie     vie     vi      vietnamien
tib     bod     bo      tibétain
kal     kal     kl      groenlandais

Pour ISO 639-3, les colonnes affichées sont l'identifiant, le champ d'application, le type, le code ISO 639-1, le code ISO 639-2 et le nom de la langue. Les codes ISO 639-1 et ISO 639-2 peuvent être vides.

$ isoquery -i 639-3 aal new spa guc
aal     I       L                       Afade
new     I       L               new     Newari
spa     I       L       es      spa     Spanish
guc     I       L                       Wayuu

ISO 639-5 est aussi disponible. Les colonnes affichées sont l'identifiant, les parents et le nom. La colonne des parents peut être vide.

$ isoquery -i 639-5 aus tut
aus             Australian languages
tut             Altaic languages

Vous pouvez obtenir les traductions de noms de monnaie de la norme ISO 4217 en utilisant la commande suivante. Les deux premières colonnes sont les codes alpha-3 et numérique associés à la monnaie.

$ isoquery --iso=4217 --locale=da cad 392
CAD     124     Canadisk dollar
JPY     392     Yen

Le tableau de l'ISO 15924 contient les noms d'écriture. Les deux premières colonnes sont les codes alpha-4 et numérique associés à l'écriture.

$ isoquery --iso=15924 jpan latn 280
Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
Latn    215     Latin
Visp    280     Visible Speech

FICHIERS

Par défaut, les fichiers XML fournis dans le paquet iso-codes seront utilisés.
/usr/share/xml/iso-codes/iso_639.xml
/usr/share/xml/iso-codes/iso_639_3.xml
/usr/share/xml/iso-codes/iso_639_5.xml
/usr/share/xml/iso-codes/iso_3166.xml
/usr/share/xml/iso-codes/iso_3166_2.xml
/usr/share/xml/iso-codes/iso_4217.xml
/usr/share/xml/iso-codes/iso_15924.xml

AUTEUR

Tobias Quathamer <toddy@debian.org>

TRADUCTION

Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Elle est maintenue par David Prévot <david@tilapin.org> et les membres de la liste <debian-l10n-french@lists.debian.org> depuis mai 2011.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet isoquery.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C 1 isoquery ».